Przejdź do treści

Dokumentacja API

API dla klientów Smrt English

API tylko do odczytu, które przekazuje dane uczniów i grup do systemów Państwa instytucji. Każdy klucz API ma dostęp wyłącznie do danych własnej instytucji.

Otwórz centrum testowe

Jak to działa

Jak przebiega zapytanie.

Państwa system pobiera dane ucznia lub grupy, używając własnego klucza API, a API zwraca dane tylko do odczytu.

Państwa systemSystem informacji o uczniach lub narzędzie do raportowania.
Państwa klucz APIWysyłany z każdym zapytaniem i przypisany do Państwa szkoły.
Smrt English APIEndpointy tylko do odczytu dla uczniów i grup.
Państwa daneOceny, obecność i listy grup w formacie JSON.
keyboard_arrow_up

Smrt English API

verified_user Authentication Test Endpoint

Endpoint Details

Endpoint: GET /smrtapi/v1/auth

Purpose: Verify that your API key is valid and active

Headers Required

X-API-Key: your_institution_api_key

Example Request

curl -H "X-API-Key: your_institution_api_key" \
  https://smrtenglish.com/smrtapi/v1/auth

Use Cases

  • Verify API key before implementing full integration
  • Test connectivity to the API
  • Confirm school information and permissions
  • Health check for API availability

Response Format

Success Response (200 OK):

{
  "success": true,
  "data": {
    "authenticated": true,
    "school": {
      "id": 1,
      "name": "Your Institution Name",
      "key": "your_institution"
    },
    "api_key_name": "Your Institution Production API Key",
    "timestamp": "2025-09-29 22:20:32"
  },
  "message": "API key is valid and active"
}

Error Response (401 Unauthorized):

{
  "error": true,
  "message": "Authentication required",
  "status_code": 401,
  "error_code": "AUTH_REQUIRED"
}

Response Fields

Field Type Description
authenticated boolean Always true for successful auth
school.id integer Your institution's unique ID
school.name string Your institution's name
school.key string Your institution's unique key
api_key_name string Friendly name for the API key
timestamp string Server timestamp